<?php

/**
 * This is API endpoint which will used to search for post title based on posttype
 */
class search_posts extends WC_API_Resource {

    protected $base = '/search_posts';

    public function register_routes($routes) {
        $routes[$this->base] = array(
            array(array($this, 'get'), WC_API_Server::READABLE | WC_API_Server::EDITABLE | WC_API_Server::ACCEPT_DATA)
        );

        return $routes;
    }

    public function get() {
        $post_title = $_REQUEST['post_title'];
        $post_type = $_REQUEST['post_type'];
        if (!empty($post_title) && !empty($post_type)) {
            global $wpdb;
            $sql = "SELECT ID FROM {$wpdb->posts} as posts 
            WHERE posts.post_type = %s 
            AND posts.post_title = %s";

            $query = $wpdb->prepare($sql, $post_type, $post_title);
            $result = $wpdb->get_results($query);

            if (!empty($result)) {
                $post_id = $result[0]->ID;
                echo json_encode(["ID" => $post_id]);
            } else {
                echo json_encode(['status' => 'failed','message'=> "No record found against search critarea"]);
                
            }
        } else {
            echo json_encode(['status' => 'failed','message'=> "Invalid REQUEST data"]);
        }

        die;
    }

}
